Update Organization

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

This endpoint allows an integration to update organization data associated with the org that it authenticated with. The integration can update the following fields:

  • Organization Name - The name of the organization in how it is displayed to users who have access and can log into the specific org.
  • Customer Display Name - The name that is displayed to members outside of the organization. For example, this display name would be presented to customers within Connect Request messaging.
  • External Identifier - This is external identifier displayed within the Hover web and mobile applications. Examples of this field include: Claim Number, Lead Number, Opportunity Number, et. al
  • External Identifier Required - This boolean an organization configuration that requires the inclusion of an external identifier when creating a job or connect request. The default value is false.

Example Request Body

The example below illustrates a request body for this particular request:

{
  "org": {
    "name": "Hover Test",
    "customer_display_name": "Hover Test Org",
    "preferences_attributes": {
      "external_identifier_label": "Claim Number",
      "external_identifier_required": false
    }
  }
}
    

Endpoint Response

A successful request is notated by a 204 No Content response body.

Path Params
int32
required
Defaults to 468531
Body Params
org
object
Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here!